import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, c = (l, o, i, r) => {
  for (var e = r > 1 ? void 0 : r ? v(o, i) : o, s = l.length - 1, p; s >= 0; s--)
    (p = l[s]) && (e = (r ? p(o, i, e) : p(e)) || e);
  return r && e && f(o, i, e), e;
};
let t = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--microphoneFilled", this.class = "c-pieIcon c-pieIcon--microphoneFilled", this.name = "IconMicrophoneFilled";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--microphoneFilled"><path d="M8.656 12.996V15H7.344v-2.004a5.915 5.915 0 0 1-5.25-5.871h1.312a4.594 4.594 0 0 0 9.188 0h1.312a5.915 5.915 0 0 1-5.25 5.871ZM4.72 7.125V4.5a3.281 3.281 0 1 1 6.562 0v2.625a3.281 3.281 0 0 1-6.562 0Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], t.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = c([
  m("icon-microphone-filled")
], t);
export {
  t as IconMicrophoneFilled
};
